{% layout none %}

<script type="text/javascript">
  //Get products inventory state if ba_check_stock url parameter sent
  {%- capture contentForQuerystring -%}{{ content_for_header }}{%- endcapture -%}
  {%- assign pageUrl = contentForQuerystring | url_decode | split:'"pageurl":"' | last | split:'"' | first | split:'www.blackhold.com.br' | last |
  replace:'\/','/' |
  replace:'%20',' ' |
  replace:'\u0026','&'-%}

  //At this point ba_check_stock is obligatory but we can change it later
  //Extract product handles string  from pageUrl
  {% if pageUrl contains 'ba_check_stock' %}

    {%- assign productsHandlesStr = pageUrl | split:'ba_check_stock=' | last -%}
    {% if productsHandlesStr contains '&' %}
      {% assign productsHandlesStr = productsHandlesStr | split: '&' | first %}
    {% endif %}

    //Extract collection handles from pageUrl
    {%- assign collectionsPart = pageUrl | split:'ba_collections=' | last -%}
    {% if collectionsPart contains '&' %}
       {% assign collectionsPart = collectionsPart | split: '&' | first %}
    {% endif %}
    {% assign collection_handles = collectionsPart | split:',' %}

    //Loop over collections and extract product handes into productsHandlesStr
    {% if collection_handles %}
      {% for collection_handle in collection_handles %}
      {% assign collection = collections[collection_handle] %}
        {% if collection %}
           {% for p in collection.products | limit: 20 %}
              {% assign testHandle = '&' | append: p.handle %}
              {% unless productsHandlesStr contains testHandle %}
                {% assign productsHandlesStr = productsHandlesStr | append: ',' | append: p.handle %}
              {% endunless %}
           {% endfor %}
        {% endif %}
      {% endfor %}
    {% endif %}

    //Generate productHandlesArr array
    {% assign productHandlesArr  = productsHandlesStr | split:',' | uniq %}

    //booster-check-products-stock = start flag for script evaluation
    //Build productsInStock object with information about inventory for products and variants
    window.booster.productsInStock = {
    {% for handle in productHandlesArr | limit: 20 %}
      {% if handle == '' %}
        {% continue %} //skip empty handles
      {% endif %}
      {% assign product  = all_products[handle] %}
      {{product.id}}:
      {id: {{ product.id }},available: '{{ product.available }}',title: '{{ product.title | escape }}',handle: '{{ product.handle | escape }}',image_url: '{{ product | img_url: "" }}',image: {src: '{{ product | img_url: "" }}' },
        images: [
          {% for image in product.images %}
            {id: '{{ image.id }}', src: '{{ image | img_url: "" }}'},
          {% endfor %}
        ],
        variants_stock: {
        {% for variant in all_products[handle].variants %}
          {{variant.id}}: {id: {{ variant.id }},title: '{{ variant.title | escape }}',available: '{{ variant.available  }}', qty: '{{ variant.inventory_quantity }}',inventory_quantity: '{{ variant.inventory_quantity }}', inventory_policy: '{{ variant.inventory_policy }}',inventory_management: '{{ variant.inventory_management }}',price: '{{ variant.price }}',compare_at_price: '{{ variant.compare_at_price }}',image_url: '{{ variant.image.src  | img_url: "" }}',image_id: '{{ variant.image.id }}' },
        {% endfor %}}
      },
    {% endfor %}};
  {% endif %}
  //booster-check-products-stock-end = end flag for script evaluation
  //version:1584733731
</script>
